Executive Summary

Summary
Titlelibpng1.6 security update
Informations
NameDSA-4435First vendor Publication2019-04-27
VendorDebianLast vendor Modification2019-04-27
Severity (Vendor) N/ARevision1

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:H/Au:N/C:N/I:N/A:P)
Cvss Base Score2.6Attack RangeNetwork
Cvss Impact Score2.9Attack ComplexityHigh
Cvss Expoit Score4.9AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

A use-after-free vulnerability was discovered in the png_image_free() function in the libpng PNG library, which could lead to denial of service or potentially the execution of arbitrary code if a malformed image is processed.

For the stable distribution (stretch), this problem has been fixed in version 1.6.28-1+deb9u1.

We recommend that you upgrade your libpng1.6 packages.

For the detailed security status of libpng1.6 please refer to its security tracker page at: https://security-tracker.debian.org/tracker/libpng1.6

Original Source

Url : http://www.debian.org/security/2019/dsa-4435

CWE : Common Weakness Enumeration

%idName
100 %CWE-416Use After Free

CPE : Common Platform Enumeration

TypeDescriptionCount
Application1
Os2
Os1

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2019-04-27 13:18:23
  • First insertion